# List Static Multiview Events

> Live API · Static Multiview Event

```http
GET https://app.mk.io/api/v1/projects/{project_name}/live/staticMultiviewEvents
```

List Static Multiview Events on the specified project. 

## Listing, Sorting and Filtering Static Multiview Events

This endpoint returns the list of Static Multiview Events in the specified project.

### Sorting

The results from this endpoint can be ordered using the `$orderby` query parameter. Specify a list of field names, separated by commas
where each one can optionally specify `asc` or `desc`.

Sorting is valid on the following fields: `created`, `createdBy`, `displayName`, `id`, `labels`, `name`, `spec/state`, `spec/transform/type`, `status/state`, `status/transformType`, `updated`, `updatedBy`

### Filtering

There are two ways to filter the set of returned Static Multiview Events from this endpoint - the first is to use the `$filter` query parameter, the second is to use the
`$label_key` and `$label` query parameters.

The `$filter` query parameter allows for Static Multiview Events to be filtered on the basis of fields in the schema using OData query syntax.
See [this document](https://learn.microsoft.com/en-us/odata/concepts/queryoptions-overview#filter) for more details on the syntax used.

Filters are valid on the following fields: `created`, `createdBy`, `createdByEmail`, `createdByName`, `displayName`, `id`, `labels`, `name`, `spec/inputs/content`, `spec/outputs/destination`, `spec/siteName`, `spec/state`, `spec/transform/type`, `status/deviceName`, `status/state`, `status/transformType`, `updated`, `updatedBy`, `updatedByEmail`, `updatedByName`

`$label_key` and `$label` are specific to querying Static Multiview Events based on their labels. Labels are a set of key-value pairs that can be used to identify Static Multiview Events with
any arbitrary metadata you want, specifically for the purpose of retrieving relevant subsets of Static Multiview Events.

### Examples:

`?$top=10` - Returns only the first 10 Static Multiview Events from the list.

`?$orderby=name desc` - Sorts Static Multiview Events by name in descending order.

`?$filter=name eq 'descriptive name'` - Returns Static Multiview Events that match the provided name.

`?$orderby=created desc` - Sorts Static Multiview Events by creation date in descending order.

`?$filter=created ge 2021-01-01T00:00:00Z` - Returns Static Multiview Events created after January 1, 2021.

`?$label=studio=paravalley` - Returns Static Multiview Events with the label `studio` set to `paravalley`.

`?$label=release-date~2023` - Returns Static Multiview Events with the label `release-date` set to a value that contains `2023`.

`?$label_key=studio&label_key=release-date` - Returns Static Multiview Events with any value set for the `studio` label and the `release-date` label.

RBAC Capability Required: `transform.staticmultiviewevent.get`

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `project_name` | string | Yes | — |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `$orderby` | string | No | Specifies the key by which the result collection should be ordered. |
| `$filter` | string | No | Restricts the set of items returned. |
| `$top` | string | No | Specifies a non-negative integer `n` that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value `n`. |
| `$skiptoken` | string | No | Specifies a start offset to support paginated results. Use `@odata.nextLink` in the result object to enumerate the collection - it will be present only if there's more than one page of entities. |
| `$label_key` | string | No | Filters the set to the specified label key. If multiple $label_keys are specified, matching items must have all labels. |
| `$label` | string | No | Filters the set to the specified label key/value pair. Supports equality, inequality, and inexact matching. If multiple values are provided for the same key, items matching either value will be returned. |
| `$detailedStatus` | string | No | Include extra status information in the response. |

## Example request

```bash
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/live/staticMultiviewEvents" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — List of Static Multiview Events

- `@odata.nextLink` · string · Optional — @odata.nextLink URL if the page length and number of items match.
- `supplemental` · object · **Required** — Supplemental info
  - `count` · integer · **Required** — Number of items returned
  - `kind` · string · **Required** — Type of items in the list
  - `operation` · string · **Required** — Operation type. Should always say 'list'
  - `pagination` · object · **Required** — Pagination info
    - `end` · integer · **Required** — Position of the last item in the list
    - `records` · integer · **Required** — Total number of items returned in the list
    - `start` · integer · **Required** — Position of the first item in the list
    - `total` · integer · **Required** — Total number of items in the project
  - `subscription` · object · Optional — Project info
    - `id` · string · **Required** — Project ID
    - `name` · string · **Required** — Project name
- `value` · list of objects · **Required** — A list of flows.
  - Array items (object):
    - `kind` · string · **Required** — The kind of record.
    - `metadata` · object · **Required** — Flow metadata.
      - `created` · string · Optional · _format: date-time_ — The time when the resource was created
      - `createdBy` · string · Optional · _format: uuid_ — ID of the user who created the resource
      - `createdByEmail` · string · Optional — Email of the user who created the resource
      - `displayName` · string · Optional — The display name of the resource
      - `id` · string · **Required** · _format: uuid_ — The ID of the resource
      - `labels` · map from strings to string · Optional — A dictionary of labels associated with the resource
        - `[any key]` · string — map of additional properties
      - `name` · string · Optional — The name of the resource
      - `updated` · string · Optional · _format: date-time_ — The time when the resource was last updated
      - `updatedBy` · string · Optional · _format: uuid_ — ID of the user who last updated the resource
      - `updatedByEmail` · string · Optional — Email of the user who last updated the resource
    - `spec` · object · **Required** — Flow specification.
      - `inputs` · list of objects · **Required** — List of flow inputs. Read [Flow inputs and outputs](doc:flows#flow-inputs-and-outputs) to learn more about how to connect flow inputs between content and flow transform inputs.
        - Array items (object):
          - `contentName` · string · Optional · _pattern: ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$_ — The <<glossary:content>> that the flow input is connected to. This also influences the content that will be available on the flow outputs. Read [Resolving content](doc:content-and-sources#resolving-content) to learn more about how content is resolved to the <<glossary:source>>s and <<glossary:flow>>s that can supply it.
          - `flowName` · string · Optional · _pattern: ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$_ — The upstream <<glossary:flow>> that the flow input is connected to. This also influences the content that will be available on the flow outputs.
          - `refiner` · object · Optional — The <<glossary:refiners>> that influence how this flow input will be assigned and how [content will be resolved](/api-guides/how-to/media/content-and-sources#resolving-content) for it. For example, flow inputs can be constrained to specific upstream <<glossary:flow>>s and <<glossary:source>>s. To learn more, read [Flow input refiners](doc:flows#flow-input-refiners).
            - `flow` · object · Optional — Refiner to restrict a flow's input to originate from a specific flow.
              - `name` · string · **Required** — Name of the resource to match.
            - `labelMatch` · object · Optional — Refiner to restrict a flow's input to originate from one of a set of both flows and content sources.
              - `key` · string · **Required** — Name of the label to match against. Case sensitive.
              - `value` · string · **Required** — The desired value of the label. Case sensitive.
          - `sourceName` · string · Optional · _pattern: ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$_ — The <<glossary:source>> that the flow input is connected to. This also influences the content that will be available on the flow outputs.
          - `transformInput` · string · Optional · _1-128 characters_ — The name of the input pin to connect in the associated processing config. Retrieve the config through the Templates API and use a name from `status.inputPins[].name`.
      - `outputs` · list of objects · **Required** — List of flow outputs. Read [Flow inputs and outputs](doc:flows#flow-inputs-and-outputs) to learn more about how to connect flow outputs between flow transform outputs and destinations or to make them available to other flows.
        - Array items (object):
          - `contentName` · string · Optional — Optional, sets the <<glossary:content>> that is provided by this flow output.
          - `destinationName` · string · Optional · _pattern: ^([a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?)?$_ — The destination to connect the flow output to. Omit this field to create an <<glossary:internal flow output>>. Read [Flows](doc:flows) to learn more about how to connect flows to other flows.
          - `refiner` · object · Optional — The <<glossary:refiners>> that influence how this flow output will be assigned. This is a placeholder for future functionality.
          - `transformOutput` · string · Optional · _1-128 characters_ — The name of the output pin to connect in the associated processing config. Retrieve the config through the Templates API and use a name from `status.outputPins[].name`.
          - `transport` · object · Optional — Transport setting overrides for this specific flow output. If not specified, the transport will use the default settings.
            - `maxConnections` · integer · Optional · _>=1_ — Optional, specifies the maximum number of connections for this output if no destination is specified.
      - `refiner` · object · Optional — The <<glossary:refiners>> that influence how this flow will be assigned. This is a placeholder for future functionality.
      - `siteName` · string · Optional · _pattern: ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$_ — The name of the <<glossary:site>> where the flow will run. If omitted, the site is inferred from the flow type: cloud flows default to the project's cloud site; device flows default to the 'world' site.
      - `state` · enum · **Required** — The desired state of the flow.
        - Allowed values: `Stopped`, `Running`
      - `transform` · object · **Required** — Configuration for the transformation that this flow performs
        - One of the following variants, selected by `type`:
          - **LiveChannel** (object)
            - `archiveWindowLength` · string · Optional · _pattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$_ — The maximum content length that can be archived in the asset for the live output. This also limits the maximum content length for the timeshift window. For example, use PT1H30M to indicate 1 hour and 30 minutes of archive window. Max value = 30 days.
            - `assetName` · string · **Required** — The name of asset that you want this flow to store material in.
            - `assetPath` · string · Optional — If an asset name is given, then you may also specify a subpath within the asset for the material.
            - `encodingLive` · object · **Required** — Reference to template of type 'encodingLive'
              - `advancedSettingsName` · string or null · Optional · _<=64 characters_ — Name of the advanced settings configuration to apply to this component. These configuration blocks are managed by MediaKind and you should not set this field unless MediaKind support has asked you to.
              - `configOverrides` · object · Optional — Optional control over template contents. These are applied after any configValues.
                - One of the following variants, selected by `type`:
                  - **application/json-patch+json** (object)
                    - `operations` · list of objects · **Required** — List of 'JSON Patch' (https://en.wikipedia.org/wiki/JSON_Patch) operations.
                      - Array items (object):
                        - `op` · enum · **Required** — Operation
                          - Allowed values: `add`, `remove`, `replace`, `stringReplace`, `numberReplace`
                        - `path` · string · **Required** — Path
                        - `search` · string · Optional — Search string for 'stringReplace' and 'numberReplace' operations. 'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
                        - `value` · any · Optional — Value
                    - `type` · string · **Required** — Type of override.
              - `configRef` · object · **Required** — Reference to configuration template
                - `name` · string · **Required** — Name of the configuration template to use, must match the configType.
                - `version` · string · **Required** — Which revision of the configuration to use, either a tag or a hash must be provided
              - `configValues` · map from strings to any or null · Optional — Optional control over template contents, replacing parameters exposed by the configuration. These are applied before any configOverrides.
                - `[any key]` · any — map of additional properties
            - `streamConditioning` · object · Optional — Optional reference to template of type 'streamConditioning'
              - `advancedSettingsName` · string or null · Optional · _<=64 characters_ — Name of the advanced settings configuration to apply to this component. These configuration blocks are managed by MediaKind and you should not set this field unless MediaKind support has asked you to.
              - `configOverrides` · object · Optional — Optional control over template contents. These are applied after any configValues.
                - One of the following variants, selected by `type`:
                  - **application/json-patch+json** (object)
                    - `operations` · list of objects · **Required** — List of 'JSON Patch' (https://en.wikipedia.org/wiki/JSON_Patch) operations.
                      - Array items (object):
                        - `op` · enum · **Required** — Operation
                          - Allowed values: `add`, `remove`, `replace`, `stringReplace`, `numberReplace`
                        - `path` · string · **Required** — Path
                        - `search` · string · Optional — Search string for 'stringReplace' and 'numberReplace' operations. 'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
                        - `value` · any · Optional — Value
                    - `type` · string · **Required** — Type of override.
              - `configRef` · object · **Required** — Reference to configuration template
                - `name` · string · **Required** — Name of the configuration template to use, must match the configType.
                - `version` · string · **Required** — Which revision of the configuration to use, either a tag or a hash must be provided
              - `configValues` · map from strings to any or null · Optional — Optional control over template contents, replacing parameters exposed by the configuration. These are applied before any configOverrides.
                - `[any key]` · any — map of additional properties
            - `type` · string · **Required** — Processing type.
          - **LiveEvent** (object)
            - `archiveWindowLength` · string · Optional · _pattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$_ — The maximum content length that can be archived in the asset for the live output. This also limits the maximum content length for the timeshift window. For example, use PT1H30M to indicate 1 hour and 30 minutes of archive window. Max value = 30 days.
            - `assetName` · string · **Required** — The name of asset that you want this flow to store material in.
            - `assetPath` · string · Optional — If an asset name is given, then you may also specify a subpath within the asset for the material.
            - `encodingLive` · object · **Required** — Reference to template of type 'encodingLive'
              - `advancedSettingsName` · string or null · Optional · _<=64 characters_ — Name of the advanced settings configuration to apply to this component. These configuration blocks are managed by MediaKind and you should not set this field unless MediaKind support has asked you to.
              - `configOverrides` · object · Optional — Optional control over template contents. These are applied after any configValues.
                - One of the following variants, selected by `type`:
                  - **application/json-patch+json** (object)
                    - `operations` · list of objects · **Required** — List of 'JSON Patch' (https://en.wikipedia.org/wiki/JSON_Patch) operations.
                      - Array items (object):
                        - `op` · enum · **Required** — Operation
                          - Allowed values: `add`, `remove`, `replace`, `stringReplace`, `numberReplace`
                        - `path` · string · **Required** — Path
                        - `search` · string · Optional — Search string for 'stringReplace' and 'numberReplace' operations. 'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
                        - `value` · any · Optional — Value
                    - `type` · string · **Required** — Type of override.
              - `configRef` · object · **Required** — Reference to configuration template
                - `name` · string · **Required** — Name of the configuration template to use, must match the configType.
                - `version` · string · **Required** — Which revision of the configuration to use, either a tag or a hash must be provided
              - `configValues` · map from strings to any or null · Optional — Optional control over template contents, replacing parameters exposed by the configuration. These are applied before any configOverrides.
                - `[any key]` · any — map of additional properties
            - `streamConditioning` · object · Optional — Optional reference to template of type 'streamConditioning'
              - `advancedSettingsName` · string or null · Optional · _<=64 characters_ — Name of the advanced settings configuration to apply to this component. These configuration blocks are managed by MediaKind and you should not set this field unless MediaKind support has asked you to.
              - `configOverrides` · object · Optional — Optional control over template contents. These are applied after any configValues.
                - One of the following variants, selected by `type`:
                  - **application/json-patch+json** (object)
                    - `operations` · list of objects · **Required** — List of 'JSON Patch' (https://en.wikipedia.org/wiki/JSON_Patch) operations.
                      - Array items (object):
                        - `op` · enum · **Required** — Operation
                          - Allowed values: `add`, `remove`, `replace`, `stringReplace`, `numberReplace`
                        - `path` · string · **Required** — Path
                        - `search` · string · Optional — Search string for 'stringReplace' and 'numberReplace' operations. 'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
                        - `value` · any · Optional — Value
                    - `type` · string · **Required** — Type of override.
              - `configRef` · object · **Required** — Reference to configuration template
                - `name` · string · **Required** — Name of the configuration template to use, must match the configType.
                - `version` · string · **Required** — Which revision of the configuration to use, either a tag or a hash must be provided
              - `configValues` · map from strings to any or null · Optional — Optional control over template contents, replacing parameters exposed by the configuration. These are applied before any configOverrides.
                - `[any key]` · any — map of additional properties
            - `type` · string · **Required** — Processing type.
          - **StaticMultiviewChannel** (object)
            - `archiveWindowLength` · string · Optional · _pattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$_ — The maximum content length that can be archived in the asset for the live output. This also limits the maximum content length for the timeshift window. For example, use PT1H30M to indicate 1 hour and 30 minutes of archive window. Max value = 30 days.
            - `assetName` · string · **Required** — The name of asset that you want this flow to store material in.
            - `assetPath` · string · Optional — If an asset name is given, then you may also specify a subpath within the asset for the material.
            - `encodingLive` · object · **Required** — Reference to template of type 'encodingLive'
              - `advancedSettingsName` · string or null · Optional · _<=64 characters_ — Name of the advanced settings configuration to apply to this component. These configuration blocks are managed by MediaKind and you should not set this field unless MediaKind support has asked you to.
              - `configOverrides` · object · Optional — Optional control over template contents. These are applied after any configValues.
                - One of the following variants, selected by `type`:
                  - **application/json-patch+json** (object)
                    - `operations` · list of objects · **Required** — List of 'JSON Patch' (https://en.wikipedia.org/wiki/JSON_Patch) operations.
                      - Array items (object):
                        - `op` · enum · **Required** — Operation
                          - Allowed values: `add`, `remove`, `replace`, `stringReplace`, `numberReplace`
                        - `path` · string · **Required** — Path
                        - `search` · string · Optional — Search string for 'stringReplace' and 'numberReplace' operations. 'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
                        - `value` · any · Optional — Value
                    - `type` · string · **Required** — Type of override.
              - `configRef` · object · **Required** — Reference to configuration template
                - `name` · string · **Required** — Name of the configuration template to use, must match the configType.
                - `version` · string · **Required** — Which revision of the configuration to use, either a tag or a hash must be provided
              - `configValues` · map from strings to any or null · Optional — Optional control over template contents, replacing parameters exposed by the configuration. These are applied before any configOverrides.
                - `[any key]` · any — map of additional properties
            - `multiviewComposing` · object · Optional — Optional reference to template of type 'multiviewComposing'. If omitted, inputs are taken from encodingLive.
              - `advancedSettingsName` · string or null · Optional · _<=64 characters_ — Name of the advanced settings configuration to apply to this component. These configuration blocks are managed by MediaKind and you should not set this field unless MediaKind support has asked you to.
              - `configOverrides` · object · Optional — Optional control over template contents. These are applied after any configValues.
                - One of the following variants, selected by `type`:
                  - **application/json-patch+json** (object)
                    - `operations` · list of objects · **Required** — List of 'JSON Patch' (https://en.wikipedia.org/wiki/JSON_Patch) operations.
                      - Array items (object):
                        - `op` · enum · **Required** — Operation
                          - Allowed values: `add`, `remove`, `replace`, `stringReplace`, `numberReplace`
                        - `path` · string · **Required** — Path
                        - `search` · string · Optional — Search string for 'stringReplace' and 'numberReplace' operations. 'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
                        - `value` · any · Optional — Value
                    - `type` · string · **Required** — Type of override.
              - `configRef` · object · **Required** — Reference to configuration template
                - `name` · string · **Required** — Name of the configuration template to use, must match the configType.
                - `version` · string · **Required** — Which revision of the configuration to use, either a tag or a hash must be provided
              - `configValues` · map from strings to any or null · Optional — Optional control over template contents, replacing parameters exposed by the configuration. These are applied before any configOverrides.
                - `[any key]` · any — map of additional properties
            - `streamConditioning` · object · Optional — Optional reference to template of type 'streamConditioning'
              - `advancedSettingsName` · string or null · Optional · _<=64 characters_ — Name of the advanced settings configuration to apply to this component. These configuration blocks are managed by MediaKind and you should not set this field unless MediaKind support has asked you to.
              - `configOverrides` · object · Optional — Optional control over template contents. These are applied after any configValues.
                - One of the following variants, selected by `type`:
                  - **application/json-patch+json** (object)
                    - `operations` · list of objects · **Required** — List of 'JSON Patch' (https://en.wikipedia.org/wiki/JSON_Patch) operations.
                      - Array items (object):
                        - `op` · enum · **Required** — Operation
                          - Allowed values: `add`, `remove`, `replace`, `stringReplace`, `numberReplace`
                        - `path` · string · **Required** — Path
                        - `search` · string · Optional — Search string for 'stringReplace' and 'numberReplace' operations. 'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
                        - `value` · any · Optional — Value
                    - `type` · string · **Required** — Type of override.
              - `configRef` · object · **Required** — Reference to configuration template
                - `name` · string · **Required** — Name of the configuration template to use, must match the configType.
                - `version` · string · **Required** — Which revision of the configuration to use, either a tag or a hash must be provided
              - `configValues` · map from strings to any or null · Optional — Optional control over template contents, replacing parameters exposed by the configuration. These are applied before any configOverrides.
                - `[any key]` · any — map of additional properties
            - `type` · string · **Required** — Processing type.
          - **StaticMultiviewEvent** (object)
            - `archiveWindowLength` · string · Optional · _pattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$_ — The maximum content length that can be archived in the asset for the live output. This also limits the maximum content length for the timeshift window. For example, use PT1H30M to indicate 1 hour and 30 minutes of archive window. Max value = 30 days.
            - `assetName` · string · **Required** — The name of asset that you want this flow to store material in.
            - `assetPath` · string · Optional — If an asset name is given, then you may also specify a subpath within the asset for the material.
            - `encodingLive` · object · **Required** — Reference to template of type 'encodingLive'
              - `advancedSettingsName` · string or null · Optional · _<=64 characters_ — Name of the advanced settings configuration to apply to this component. These configuration blocks are managed by MediaKind and you should not set this field unless MediaKind support has asked you to.
              - `configOverrides` · object · Optional — Optional control over template contents. These are applied after any configValues.
                - One of the following variants, selected by `type`:
                  - **application/json-patch+json** (object)
                    - `operations` · list of objects · **Required** — List of 'JSON Patch' (https://en.wikipedia.org/wiki/JSON_Patch) operations.
                      - Array items (object):
                        - `op` · enum · **Required** — Operation
                          - Allowed values: `add`, `remove`, `replace`, `stringReplace`, `numberReplace`
                        - `path` · string · **Required** — Path
                        - `search` · string · Optional — Search string for 'stringReplace' and 'numberReplace' operations. 'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
                        - `value` · any · Optional — Value
                    - `type` · string · **Required** — Type of override.
              - `configRef` · object · **Required** — Reference to configuration template
                - `name` · string · **Required** — Name of the configuration template to use, must match the configType.
                - `version` · string · **Required** — Which revision of the configuration to use, either a tag or a hash must be provided
              - `configValues` · map from strings to any or null · Optional — Optional control over template contents, replacing parameters exposed by the configuration. These are applied before any configOverrides.
                - `[any key]` · any — map of additional properties
            - `multiviewComposing` · object · Optional — Optional reference to template of type 'multiviewComposing'. If omitted, inputs are taken from encodingLive.
              - `advancedSettingsName` · string or null · Optional · _<=64 characters_ — Name of the advanced settings configuration to apply to this component. These configuration blocks are managed by MediaKind and you should not set this field unless MediaKind support has asked you to.
              - `configOverrides` · object · Optional — Optional control over template contents. These are applied after any configValues.
                - One of the following variants, selected by `type`:
                  - **application/json-patch+json** (object)
                    - `operations` · list of objects · **Required** — List of 'JSON Patch' (https://en.wikipedia.org/wiki/JSON_Patch) operations.
                      - Array items (object):
                        - `op` · enum · **Required** — Operation
                          - Allowed values: `add`, `remove`, `replace`, `stringReplace`, `numberReplace`
                        - `path` · string · **Required** — Path
                        - `search` · string · Optional — Search string for 'stringReplace' and 'numberReplace' operations. 'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
                        - `value` · any · Optional — Value
                    - `type` · string · **Required** — Type of override.
              - `configRef` · object · **Required** — Reference to configuration template
                - `name` · string · **Required** — Name of the configuration template to use, must match the configType.
                - `version` · string · **Required** — Which revision of the configuration to use, either a tag or a hash must be provided
              - `configValues` · map from strings to any or null · Optional — Optional control over template contents, replacing parameters exposed by the configuration. These are applied before any configOverrides.
                - `[any key]` · any — map of additional properties
            - `streamConditioning` · object · Optional — Optional reference to template of type 'streamConditioning'
              - `advancedSettingsName` · string or null · Optional · _<=64 characters_ — Name of the advanced settings configuration to apply to this component. These configuration blocks are managed by MediaKind and you should not set this field unless MediaKind support has asked you to.
              - `configOverrides` · object · Optional — Optional control over template contents. These are applied after any configValues.
                - One of the following variants, selected by `type`:
                  - **application/json-patch+json** (object)
                    - `operations` · list of objects · **Required** — List of 'JSON Patch' (https://en.wikipedia.org/wiki/JSON_Patch) operations.
                      - Array items (object):
                        - `op` · enum · **Required** — Operation
                          - Allowed values: `add`, `remove`, `replace`, `stringReplace`, `numberReplace`
                        - `path` · string · **Required** — Path
                        - `search` · string · Optional — Search string for 'stringReplace' and 'numberReplace' operations. 'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".
                        - `value` · any · Optional — Value
                    - `type` · string · **Required** — Type of override.
              - `configRef` · object · **Required** — Reference to configuration template
                - `name` · string · **Required** — Name of the configuration template to use, must match the configType.
                - `version` · string · **Required** — Which revision of the configuration to use, either a tag or a hash must be provided
              - `configValues` · map from strings to any or null · Optional — Optional control over template contents, replacing parameters exposed by the configuration. These are applied before any configOverrides.
                - `[any key]` · any — map of additional properties
            - `type` · string · **Required** — Processing type.
    - `status` · object · **Required** — Flow status.
      - `deviceDisplayName` · string · Optional · _<=255 characters_ — The display name of the <<glossary:device>> the flow is assigned to. Empty if not assigned or if the flow is on a <<glossary:SaaS site>>.
      - `deviceName` · string · Optional · _pattern: ^([a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?)?$_ · _Defaults to _ — The name of the <<glossary:device>> the flow is assigned to. Empty if not assigned or if the flow is on a <<glossary:SaaS site>>.
      - `info` · string · Optional — An optional informational message. Only present if not empty.
      - `inputs` · list of objects · Optional — The status of flow inputs.
        - Array items (object):
          - `contentDisplayName` · string · Optional · _<=255 characters_ — If the flow input references content, this field contains the display name of that <<glossary:content>>. If the flow input references a source, this field contains the display name of the <<glossary:content>> referenced by that source. If the flow input references a flow, this field contains the display name of the <<glossary:content>> assigned to the resolved upstream flow output, or empty if resolution failed.
          - `contentName` · string · Optional · _pattern: ^([a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?)?$_ — If the flow input references content, this field contains the name of that <<glossary:content>>. If the flow input references a source, this field contains the name of the <<glossary:content>> referenced by that source. If the flow input references a flow, this field contains the name of the <<glossary:content>> assigned to the resolved upstream flow output, or empty if resolution failed.
          - `deviceInterfaceName` · string · Optional · _pattern: ^([^\s\/]{1,16}|[a-zA-Z][a-zA-Z0-9_]{1,255})?$_ — The name of the <<glossary:device interface>> assigned to the flow input. Empty if a device interface is not assigned.
          - `networkDisplayName` · string · Optional · _<=255 characters_ — The display name of the <<glossary:network>> assigned to the flow input. Empty if the content was resolved from a directly-connected <<glossary:source>> (e.g. SDI) or a network is not assigned.
          - `networkName` · string · Optional · _pattern: ^([a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?)?$_ — The name of the <<glossary:network>> assigned to the flow input. Empty if the content was resolved from a directly-connected <<glossary:source>> (e.g. SDI) or a network is not assigned.
          - `sourceDisplayName` · string · Optional · _<=255 characters_ — The display name of the <<glossary:source>> assigned to the flow input. Empty if the content was resolved to an upstream <<glossary:flow>> or a source is not assigned.
          - `sourceName` · string · Optional · _pattern: ^([a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?)?$_ — The name of the <<glossary:source>> assigned to the flow input. Empty if the content was resolved to an upstream <<glossary:flow>> or a source is not assigned.
          - `sourceShortId` · string · Optional · _pattern: ^([a-z0-9]{12})?$_ — An alternative short identifier for the source. This is used only for visual inspection and should not be used for any programmatic purposes.
          - `sourceUrl` · string or null · Optional · _<=2048 characters_ — The ingress URL for the <<glossary:source>> assigned to the flow input. Empty if the source does not have a URL.
          - `upstreamFlowName` · string · Optional · _pattern: ^([a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?)?$_ — The name of an upstream <<glossary:flow>> providing the input. Empty if the content was resolved to a <<glossary:source>> or if an upstream flow is not assigned.
      - `metrics` · map from strings to object · Optional — A dictionary of metrics reported by the flow.The keys are metrics names and the values contains an array of samples for that metric.The Sample contains a 'value' field and a 'labels' field which is a dictionary of label keys and values.
        - `[any key]` · object — map of additional properties
          - `labels` · map from strings to string · Optional — A dictionary of label keys and values for this metric sample.
            - `[any key]` · string — map of additional properties
          - `value` · double · **Required** — The value of the metric sample.
      - `monitoring` · map from strings to object · Optional — Details for how to access monitoring feedback. Each key is a monitoring context that is influenced by the <<glossary:flow transform>> selected in the flow and the configuration of the flow transform. Read [flow monitoring](doc:flows#monitoring) to learn more.
        - `[any key]` · object — map of additional properties
          - `metadataUrl` · string · **Required** · _<=2048 characters_ — URL of the metadata.
          - `thumbnailUrl` · string · **Required** · _<=2048 characters_ — URL of the thumbnail image.
      - `outputs` · list of objects · Optional — The status of flow outputs.
        - Array items (object):
          - `contentDisplayName` · string · **Required** · _<=255 characters_ — The display name of the <<glossary:content>> that is provided by this flow output.
          - `contentName` · string · **Required** · _pattern: ^([a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?)?$_ — The <<glossary:content>> that is provided by this flow output.
          - `destinationDisplayName` · string · Optional · _<=255 characters_ — The display name of the <<glossary:destination>> reference from the flow output. Empty if this is a <<glossary:internal flow output>> with no destination.
          - `destinationUrl` · string or null · Optional · _<=2048 characters_ — The egress URL for the <<glossary:destination>> assigned to the flow output. Empty if the destination does not have a URL.
          - `deviceInterfaceName` · string · Optional · _pattern: ^([^\s\/]{1,16}|[a-zA-Z][a-zA-Z0-9_]{1,255})?$_ — The name of the <<glossary:device interface>> assigned to the flow output. Empty if a device interface is not assigned.
          - `downstreamFlowNames` · list of strings · Optional — List of names of <<glossary:flow>>s that are connected to this flow output. Empty if the flow output is not connected to any downstream flows.
            - Array items (string):
          - `networkDisplayName` · string · Optional · _<=255 characters_ — The display name of the <<glossary:network>> assigned to the flow outputEmpty if the output references a directly-connected <<glossary:destination>> (e.g. SDI) or a network is not assigned.
          - `networkName` · string · Optional · _pattern: ^([a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?)?$_ — The name of the <<glossary:network>> assigned to the flow output. Empty if the output references a directly-connected <<glossary:destination>> (e.g. SDI) or a network is not assigned.
          - `transport` · object · Optional — Transport settings specific to this flow output.
            - `latency` · double · Optional — The minimum SRT Latency, in seconds for this output's connections, if known.
            - `maxBitrate` · integer · **Required** — The calculated maximum bitrate for the flow output's transport.
            - `maxConnections` · integer · Optional · _>=1_ — The maximum number of connections allowed for this output where a restriction applies.
      - `shortId` · string · Optional · _pattern: ^([a-z0-9]{12})?$_ — An alternative short identifier for the flow. This is used only for visual inspection and should not be used for any programmatic purposes.
      - `siteDisplayName` · string · Optional · _<=255 characters_ — The display name of <<glossary:site>> associated with the flow.
      - `state` · enum · Optional — The last reported state of the flow.
        - Allowed values: ``, `Stopping`, `Stopped`, `Starting`, `Running`, `Pending`, `Deleting`, `Deleted`, `Updating`, `Started`, `Allocating`, `Allocated`, `UnableToStart`
      - `transform` · object · Optional
        - `streamPersonalization` · object · Optional
          - `hostName` · string · Optional

Example:

```json
{
  "@odata.nextLink": "string",
  "supplemental": {
    "count": 0,
    "kind": "string",
    "operation": "string",
    "pagination": {
      "end": 0,
      "records": 0,
      "start": 0,
      "total": 0
    },
    "subscription": {
      "id": "string",
      "name": "string"
    }
  },
  "value": [
    {
      "kind": "string",
      "metadata": {
        "created": "2024-01-01T00:00:00Z",
        "createdBy": "00000000-0000-0000-0000-000000000000",
        "createdByEmail": "string",
        "displayName": "string",
        "id": "00000000-0000-0000-0000-000000000000",
        "labels": {
          "label1": "value1",
          "label2": "value2"
        },
        "name": "string",
        "updated": "2024-01-01T00:00:00Z",
        "updatedBy": "00000000-0000-0000-0000-000000000000",
        "updatedByEmail": "string"
      },
      "spec": {
        "inputs": [
          {
            "contentName": "channel-1",
            "flowName": "flow-1",
            "refiner": {
              "flow": {
                "name": "string"
              },
              "labelMatch": {
                "key": "string",
                "value": "string"
              }
            },
            "sourceName": "source-1",
            "transformInput": "encoding/input_1"
          }
        ],
        "outputs": [
          {
            "contentName": "string",
            "destinationName": "production-1",
            "refiner": {},
            "transformOutput": "encoding/output_1",
            "transport": {
              "maxConnections": 10
            }
          }
        ],
        "refiner": {},
        "siteName": "world",
        "state": "Running",
        "transform": {
          "type": "LiveChannel",
          "archiveWindowLength": "string",
          "assetName": "string",
          "assetPath": "string",
          "encodingLive": {
            "advancedSettingsName": "string",
            "configOverrides": {
              "type": "application/json-patch+json",
              "operations": [
                {
                  "op": "add",
                  "path": "string",
                  "search": "string",
                  "value": null
                }
              ]
            },
            "configRef": {
              "name": "string",
              "version": "latest"
            },
            "configValues": {
              "audio1label": "Spanish",
              "audio1lang": "spa",
              "audio1pid": 257,
              "epochts": false
            }
          },
          "streamConditioning": {
            "advancedSettingsName": "string",
            "configOverrides": {
              "type": "application/json-patch+json",
              "operations": [
                {
                  "op": "add",
                  "path": "string",
                  "search": "string",
                  "value": null
                }
              ]
            },
            "configRef": {
              "name": "string",
              "version": "latest"
            },
            "configValues": {
              "audio1label": "Spanish",
              "audio1lang": "spa",
              "audio1pid": 257,
              "epochts": false
            }
          }
        }
      },
      "status": {
        "deviceDisplayName": "Device 1",
        "deviceName": "device-1",
        "info": "There was an issue with start due to a mismatch of Template inputs and configured inputs.",
        "inputs": [
          {
            "contentDisplayName": "Channel 1",
            "contentName": "channel-1",
            "deviceInterfaceName": "eth0",
            "networkDisplayName": "Internet",
            "networkName": "internet",
            "sourceDisplayName": "Channel 1 SRT",
            "sourceName": "channel-1-srt",
            "sourceShortId": "a1b2c3d4e5f6",
            "sourceUrl": "srt://10.10.10.1:6000",
            "upstreamFlowName": "channel-1-encode"
          }
        ],
        "metrics": {
          "mk_resource_status": [
            {
              "labels": {
                "mkio_stage": "encode"
              },
              "value": 0
            },
            {
              "labels": {
                "mkio_stage": "output"
              },
              "value": 0
            },
            {
              "labels": {
                "mkio_stage": "resource"
              },
              "value": 0
            }
          ]
        },
        "monitoring": {
          "key": {
            "metadataUrl": "string",
            "thumbnailUrl": "string"
          }
        },
        "outputs": [
          {
            "contentDisplayName": "string",
            "contentName": "string",
            "destinationDisplayName": "production-1",
            "destinationUrl": "srt://10.10.10.2:6000",
            "deviceInterfaceName": "eth0",
            "downstreamFlowNames": [
              "string"
            ],
            "networkDisplayName": "Internet",
            "networkName": "internet",
            "transport": {
              "latency": 10,
              "maxBitrate": 0,
              "maxConnections": 10
            }
          }
        ],
        "shortId": "a1b2c3d4e5f6",
        "siteDisplayName": "World",
        "state": "Started",
        "transform": {
          "streamPersonalization": {
            "hostName": "string"
          }
        }
      }
    }
  ]
}
```

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `live-api` · operationId: `[get]_/api/v1/projects/{project_name}/live/staticMultiviewEvents`
